![imagebanner](https://cdn.discordapp.com/attachments/817828391662649366/1107520747099930674/BO3.png)

### The Black Ops 3 Collection

Before I begin to even talk about BO3, I need to mention that this weapon collection was a joint effort!

Thank you Yung and Kirloper for gathering the assets. Thank you to Tiktokfamous for sharing with me the SAB audio assets! Tiktokfamous was the first to make his own BO3 weapons and there is nothing I'd change about them, they are equal to my own level of standards, and he knocked the ball out of the park with his BO3 Sights pack! Thank you for being an inspiration as well as being so cooperative with me in regards to behind the scenes!

---

### Background

Black Ops 3 is, without a doubt, a favorite to a lot of people. For me personally, it was the passing of the torch, as I tought my little brother how to play games through both multiplayer and zombies. We worked together to grind those camo challenges, participate in the zombies easter egg hunts, and had a wonderful time together.

My first game ever was Black Ops 1 on the Wii. I remember Kino vividly. The motion controls, shooting zombies with a sideways angle, the interactive nature of it was mind blowing to me. I wasn't good at the game, but I had a lot of fun with it. The motion controls, well, were a precursor to the love put into bringing these guns to life in H3.

Black Ops 2 was the first day one release I had experienced. Coming over to my friends house with my twin brother Sora, playing Bus Depot in splitscreen and discovering all the mystery box weapons, finding out we couldn't venture out in the smoke otherwise the "goblins" (now the official term is Denizens) would bite our face off, and then the online party mode delight that is Town, although it gets a lot of flack nowadays, those first few days we would venture off alone and, well, before the internet made its mark, finding Nacht was quite the heartskipper. At this time, multiplayer was also becoming a feast for the eyes. Adrenaline, the song, playing every time I booted it up when I came home after school, trying out new play methods such as using the XPR50 for sniper kills, the akiimbo Tac-45s with the riot shield combo, getting my first gold and becoming helplessly addicted to the M8A1... Hell, even what they did with the campaign has yet to be topped off in recent releases as of yet, with unlockables and replay value galore, alongside memorable set pieces like the wingsuit and the drone sequences... There are moments that are hard coded in my head that will be with me til the day I die, I enjoyed my time with that game.

Black Ops 3 is the apex in multiplayer and zombies gameplay. Although the campaign gets memed a ton, it is still rememerable, and gets its fair share of remix culture with all the anime model mods swapped in. The banger multiplayer was equal parts frustrating and adrenaline pumping for me, jetsuit and wallrunning gameplay was key to bringing forth all parts of your focus. This was my first taste of "hero" gameplay, the specialists having powers to break the game, or add extra levels of planning to how you played it. For me, when Blackjack Danny was introduced, that was the peak. The unpredictable nature of what specialist's weapon you'd have kept games entertaining.

Gunsmithing and Paintjobs was a core feature of both MP and zombies that really put the grindset into the mindset. The gunsmith gave you a sense of progress, while the paintjobs gave you a sense of personality, uniqueness to the guns. The paintjob system is the biggest reason why I make skins for H3VR now. It as a staple to BO3, and is poorly imitated in COD WW2 to a point where I'd consider this the one of a kind ordeal (I did make a fair share of paintjobs in that game too). If you wanted to see my BO3 paintjobs, I have archived them [here](https://youtu.be/mERYaJxUero). They are also a fond memory of mine.

Oh yeah, lets not forget Zombies. [Zombie Chronicles was the most hype thing that predated Super Smash Bros Ultimate roster reveals](https://youtu.be/2zwOnvnM1Fw?t=144). That, alongside their own modding scene of this game, was an everlasting showcase of love, dedication, and commitment from the 3Arch team to show what it meant to be GOAT'ed devs. To this day, people hold 3Arch with kindness for this, and there is no blaming them. BO3 is still going strong, and is often used for comparison for releases we see nowadays. A following of fans loyal to the level of care brought upon them, built upon dedicated sequels with overall positive responses, games that a majority will say that was their first.

For my little brother, it was his first game, and these traits combined with the shared family experience, it is no wonder why he says its his favorite COD of all time.

For me, it is also a fond memory, but even after all the fanservice, I could not say it was my favorite. But, because my little brother holds it in high regard, I dare not slack in delivering weapons equal to their source material.

So, lets talk about it.

---

### BO3 Weapons and H3VR, The History

BO3 arsenal shows a healthy variety of future tech. Charge up times, moving parts, bright emission sights, the list goes on.

Tiktokfamous was the first to approach making BO3 weapons in H3VR. He released them within a short window. Having seen someone else make Call of Duty guns in succession was such an exciting thing. Its when I had my hands on them that they really brought me back to the first year of BO3.

The HVK-30 was a highlight for me, followed up by the Locus. That HVK-30 has a weird feature where the sides of the handguard spanner outward when the magazine is removed. The joy I felt when I saw that happen in H3VR, for such a small detail, was astonishing.

Then, the Locus, with all the bits, bobs, doohs and dahs, it feels just as dangerous as it did in the game. Followed up with H3VR features such as an adjustable scope and see through magazine, it felt more at home than I expected.

At the same time, seeing him champion all these BO3 weapons, it made me feel worried... Do I really want to steal his thunder? What if we both make a certain gun, who's time is wasted if the other uploads first? Behind the excitement came concerns I never considered to have encountered as a modmaker. I thought I'd be alone in this "COD Ftrmarket" mission, but damn was I wrong.

I tested the waters. The ICR-1 was a classic. The M8A7, a sequel to a gun that I hold a crush over, and therefore it in itself was also one to crush myself over. The act of asking for permission to make these two guns felt like I was at the beginning of my skinmaking career, asking modmakers for permission to skin their modded creations.

Tiktokfamous was cool with me making these two rifles. And so I did!

And so I discovered what truths lay behind rose tinted eyes...

These models SUCKED!

---

### BO3 Weapons and H3VR, Their Compatibility

BO3 Models to not bode well in terms of VR support. In fact, on my model shitlist, BO3 models come second place, next to the first place holder, BF4 guns.

They have irregular ammo preportions compared to what H3VR has, so a lot of creative liberties need to be made, and it takes a lot of ego-swallowing to release a gun with such awful internals.

BO3's sound design is also, without a shred of a doubt, barebones in nature. Multiple guns sharing the same sounds, the majority of sounds not being rememberable, or even thicc in terms of quality. They barely brush off as anything special, but then again, they aren't terrible. They got the job done, and just like any fast food worker scrubs by on their shift.

Thankfully, in terms of textures, BO3 is the most approachable gun to make guns for. Their textures are labeled properly, no uncompressing required, materials labeled correctly, and even their models and materials are split off into individual, correlated parts!

I will give credit where credit is due, despite them not looking the part, implementing them in H3VR is not as much as a chore as other series have shown!

So its no wonder why we have such a roster!

---

![imagegif](https://cdn.discordapp.com/attachments/817828391662649366/1107520283063091210/BO3Modpack.gif)

### The BO3 Weapon List (* for the ones made by tiktokfamous. ** for WIP, unreleased mods)

Submachine Guns -- Kuda, VMP*, Vesper, Razorback

Assault Rifles -- KN-44*, HVK-30*, ICR-1, M8A7

Shotguns -- KRM262, Brecci 205, Haymaker 12, Argus

Light Machine Guns -- 48 Dredge, Dingo**, Gorgon**

Sniper Rifles -- Drakon, Locus, SVG-100, DBSR-50, XPR-50

Pistols -- MR6, RK5, LCAR-9, Marshall-12

Other -- Annihilator*, Optics Pack*

Over 20+ weapons from Black Ops 3 are featured in this pack. Excluding the realistic weapons, this list still remains just above a 50% completed level. The remaining weapons acrue in difficulty, even tougher to capture their likeness for H3 then this existing roster.

That being said, taking inspiration from the HVK-30, weapons like the KRM262 and the SVG100 have so much attention to detail thanks to existing scripts from the community, they are a beacon to show that H3VR can be a home to many futuristic weapons, even the ones with more complicated workings to boot!

---

### Sources and Credits

The weapons featured in this modpack belong to the game Call of Duty, Black Ops 3, developers being Treyarch and Raven, Activision owning the studios.

Weapon assets featured in this pack, from my Thunderstore account, came from both Yung and Kirloper. In the case of Tiktokfamous, he told me he gets them all by himself, both audio and meshes.

Thank you Tiktokfamous for sharing your audio assets with me.

### Updates

V0.9.9 -- Initial Release, pre-Space Race upload. V1.0.0 will come moments after H3VR's experimental branch goes live on the main branch, the delay due to needed scripts required for select Space Race firearms!

V1.0.0 -- Space Race update, all weapons (except the Dingo and Gorgon) are here.